cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

1314
Views
0
Helpful
2
Replies
Highlighted
Beginner

AnyConnect 4.8 install on macOS Mojave 10.14.6

Greetings,

 

We just deployed AnyConnect 4.8.00175 to our MAC users in anticipation of macOS Catalina 10.15 (upgrading from AnyConnect 4.5.05030). Cisco AnyConnect 4.8.00175 is the first version that officially supports operation on macOS Catalina and contains no 32-bit code. During the install, some of our users are seeing the following:

Screen Shot 2019-09-17 at 10.23.18 PM.png

From what I can find, manifesttool.exe is part of the AnyConnect installer. This pop-up is in regards to applications running 32 bit code, and not being 64 bit capable. I cannot find a bug report or anything in the release notes regarding this. My concern is that after a MAC user is on 10.15, will that user be able to install AnyConnect 4.8?

 

2 REPLIES 2
Beginner

Re: AnyConnect 4.8 install on macOS Mojave 10.14.6

I was trying to get the web-deploy working for Mac OS, to update my AnyConnect 3.1 client to 4.8 (also in anticipation of Catalina update coming out in a few weeks).  Each time, the download would complete, but the installation would fail.

 

I ended up having to manually install the client by pointing my browser at our ASA (https://asaname.ourdomain.com), logging in, and then downloading the client and installing manually.  I did receive the same notice about manifesttool being not supported in the future (32-bit client) when I tried connecting to the ASA.  But when I disconnected, exited the AnyConnect app, and then re-launched it and connected, the warning went away.  So, perhaps the first connection happened with the old manifesttool, but then the ASA pushed the rest of the updates to the client machine?

 

-rb

Beginner

Re: AnyConnect 4.8 install on macOS Mojave 10.14.6

i have a simmilar problem on 10.14 and 10.15 the package (anyconnect-macos-4.8.00175-webdeploy-k9.pkg ) from Cisco's site gived "Invalid Distribution Package" og (error -1) in Mac OS installer log
If i use the "anyconnect-macos-4.8.00175-predeploy-k9.dmg" and only install the VPN i can execute the installer and VPN works. I have tried to get attention on this problem, but so far no luck.